Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface JdbcHelperMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface JdbcHelperMBean
extends ServiceConfigurationMBean

JdbcHelper configuration management bean interface.

Field Summary
`static int` | `INFINITE_RETRY` Deprecated. Special value indicating infinate retries
`static long` | `INFINITE_WAIT` Deprecated. Special value indicating infinate wait time

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`Enumeration` | `getJdbcDriverKeys()` Deprecated. Gets the list of supported database driver names, for display in the console page.
`String` | `getJdbcDriverName()` Deprecated. Gets the database driver being used, for display in the console page.
`String` | `getJdbcHelperDelegate()` Deprecated. Gets the fully-qualified class name representing the database-specific class that JdbcHelper will delegate to regarding getting/setting CLOBS/BLOBS.
`int` | `getMaxRetries()` Deprecated. Get the maximum allowed number of retries for obtaining a database connection.
`long` | `getMaxWaitTime()` Deprecated. Gets the maximum allowed time to wait for an available database connection in milliseconds.
`void` | `setJdbcDriverName(String driverName)` Deprecated. Sets the database driver being used, for display in the console page.
`void` | `setJdbcHelperDelegate(String className)` Deprecated. Sets the fully-qualified class name representing the database-specific class that JdbcHelper will delegate to regarding getting/setting CLOBS/BLOBS.
`void` | `setMaxRetries(int newMaxRetries)` Deprecated. Sets the value for maximum allowed number of retries for obtaining a database connection.
`void` | `setMaxWaitTime(long newMaxWaitTime)` Deprecated. Sets the value for maximum allowed time to wait for an available database connection.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### INFINITE_RETRY

    public static final int INFINITE_RETRY

  Deprecated.
  Special value indicating infinate retries

  See Also:
    Constant Field Values

### INFINITE_WAIT

    public static final long INFINITE_WAIT

  Deprecated.
  Special value indicating infinate wait time

  See Also:
    Constant Field Values

Method Detail

### getMaxRetries

    public int getMaxRetries()

  Deprecated.
  Get the maximum allowed number of retries for obtaining a database connection. Default is infinity.

  MBean Attribute Default Value:
    INFINITE_RETRY

### setMaxRetries

    public void setMaxRetries(int newMaxRetries)

  Deprecated.
  Sets the value for maximum allowed number of retries for obtaining a database connection.

  MBean Attribute Legal Expression:
    (value >= 0) || (value == com.bea.p13n.mbeans.JdbcHelperMBean.INFINITE_RETRY)

### getMaxWaitTime

    public long getMaxWaitTime()

  Deprecated.
  Gets the maximum allowed time to wait for an available database connection in milliseconds. Default is infinity.

  MBean Attribute Default Value:
    INFINITE_WAIT

### setMaxWaitTime

    public void setMaxWaitTime(long newMaxWaitTime)

  Deprecated.
  Sets the value for maximum allowed time to wait for an available database connection.

  MBean Attribute Legal Expression:
    (value >= 0) || (value == com.bea.p13n.mbeans.JdbcHelperMBean.INFINITE_WAIT)

### getJdbcHelperDelegate

    public String getJdbcHelperDelegate()

  Deprecated.
  Gets the fully-qualified class name representing the database-specific class that JdbcHelper will delegate to regarding getting/setting CLOBS/BLOBS.

  MBean Attribute Default Value:
    null

### setJdbcHelperDelegate

    public void setJdbcHelperDelegate(String className)

  Deprecated.
  Sets the fully-qualified class name representing the database-specific class that JdbcHelper will delegate to regarding getting/setting CLOBS/BLOBS.

  Parameters:
    `className` -

### getJdbcDriverName

    public String getJdbcDriverName()

  Deprecated.
  Gets the database driver being used, for display in the console page.

  MBean Attribute Default Value:
    "Pointbase"

### setJdbcDriverName

    public void setJdbcDriverName(String driverName)

  Deprecated.
  Sets the database driver being used, for display in the console page.

  Parameters:
    `driverName` -

### getJdbcDriverKeys

    public Enumeration getJdbcDriverKeys()

  Deprecated.
  Gets the list of supported database driver names, for display in the console page.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved